Bug 853791 - ettercap-gtk segmentation fault after host scan
ettercap-gtk segmentation fault after host scan
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ettercap (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 17:51 EDT by Stjepan Gros
Modified: 2012-10-16 16:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 20:01:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stjepan Gros 2012-09-02 17:51:49 EDT
ettercap-gtk segfaults (or something similar) immediatelly after performing host scan.

This problem makes ettercap-gtk useless. It is reported and fixed upstream:

http://sourceforge.net/tracker/?func=detail&aid=3532440&group_id=17435&atid=117435

so it is necessary to either backport patch or compile ettercap_rc git version.
Comment 1 Gwyn Ciesla 2012-09-04 13:55:34 EDT
It looks like the git branch is the way to go, but they changed build systems.  Working on it.
Comment 2 Fedora Update System 2012-09-05 09:19:09 EDT
ettercap-0.7.5-0.fc18.20120905gitc796e5 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ettercap-0.7.5-0.fc18.20120905gitc796e5
Comment 3 Fedora Update System 2012-09-05 09:20:48 EDT
ettercap-0.7.5-0.fc17.20120905gitc796e5 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ettercap-0.7.5-0.fc17.20120905gitc796e5
Comment 4 Fedora Update System 2012-09-06 12:28:35 EDT
ettercap-0.7.5-0.fc18.20120906gitc796e5 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ettercap-0.7.5-0.fc18.20120906gitc796e5
Comment 5 Fedora Update System 2012-09-06 12:31:53 EDT
ettercap-0.7.5-0.fc17.20120906gitc796e5 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ettercap-0.7.5-0.fc17.20120906gitc796e5
Comment 6 Fedora Update System 2012-09-06 12:31:58 EDT
ettercap-0.7.5-0.fc17.20120906gitc796e5 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ettercap-0.7.5-0.fc17.20120906gitc796e5
Comment 7 Fedora Update System 2012-09-07 07:31:30 EDT
Package ettercap-0.7.5-0.fc17.20120906gitc796e5:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ettercap-0.7.5-0.fc17.20120906gitc796e5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13448/ettercap-0.7.5-0.fc17.20120906gitc796e5
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-09-10 09:41:21 EDT
ettercap-0.7.5-1.fc18.1.20120906gitc796e5 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ettercap-0.7.5-1.fc18.1.20120906gitc796e5
Comment 9 Fedora Update System 2012-09-10 09:45:55 EDT
ettercap-0.7.5-1.fc17.1.20120906gitc796e5 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ettercap-0.7.5-1.fc17.1.20120906gitc796e5
Comment 10 Fedora Update System 2012-09-17 20:01:50 EDT
ettercap-0.7.5-1.fc18.1.20120906gitc796e5 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-09-18 23:06:16 EDT
ettercap-0.7.5-1.fc17.1.20120906gitc796e5 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-10-16 16:23:06 EDT
ettercap-0.7.5-2.fc17.1.20120906gitc796e5 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ettercap-0.7.5-2.fc17.1.20120906gitc796e5

Note You need to log in before you can comment on or make changes to this bug.